This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 119430 - ethtool opts should be honored on bonding slaves
ethtool opts should be honored on bonding slaves
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks: FC2Target
  Show dependency treegraph
 
Reported: 2004-03-30 08:41 EST by Hrunting Johnson
Modified: 2014-03-16 22:43 EDT (History)
1 user (show)

See Also:
Fixed In Version: 7.51-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-04 01:31:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to ifup (584 bytes, patch)
2004-03-30 08:41 EST, Hrunting Johnson
no flags Details | Diff

  None (edit)
Description Hrunting Johnson 2004-03-30 08:41:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
When bringing up a slave interface, ethtool opts are not honored, so
you can't, for example, hard-set a slave interface to 100Mb/FD.  This
is especially vexing considering that certain kernel drivers
(*cough*e100*cough*) are removing support for modprobe-option-based
settings.

A quick patch is attached which resolves the issue.

Version-Release number of selected component (if applicable):
initscripts-7.46-1

How reproducible:
Always

Steps to Reproduce:
1. create bonding interface with two slaves
2. set ETHTOOL_OPTS in slave ifcfg files
3. ifup interfaces
    

Actual Results:  The slave devices do not have the settings specified
by their ETHTOOL_OPTS lines.

Expected Results:  The slave devices have their ETHTOOL_OPTS settings
applied.

Additional info:
Comment 1 Hrunting Johnson 2004-03-30 08:41:47 EST
Created attachment 98960 [details]
Patch to ifup
Comment 2 Bill Nottingham 2004-05-04 01:31:11 EDT
Will be added in 7.51-1 - thanks!

Note You need to log in before you can comment on or make changes to this bug.